Vtiful\Kernel\Excel setColumn

- « Vtiful\Kernel\Excel::output

- Vtiful\Kernel\Excel::setRow »

- PHP Manual
- Vtiful\Kernel\Excel
- Vtiful\Kernel\Excel setColumn

# Vtiful\Kernel\Excel::setColumn

(PECL xlswriter >= 1.2.1)

Vtiful\Kernel\Excel::setColumn — Vtiful\Kernel\Excel setColumn

### Description

public Vtiful\Kernel\Excel::setColumn(string `$range`, float `$width`, resource `$format` = ?)

Set the format of the column.

### Parameters

`range`

  cell start and end coordinate strings

`width`

  column width

`format`

  cell format resource

### Return Values

Vtiful\Kernel\Excel instance

### Examples

Example #1 setColumn example

    <?php
    $config = [
        'path' => './tests'
    ];

    $excel = new \Vtiful\Kernel\Excel($config);
    $excel->fileName('tutorial01.xlsx');

    $format = new \Vtiful\Kernel\Format($excel->getHandle());
    $boldStyle = $format->bold()->toResource();

    $excel->header(['name', 'age'])
        ->data([['viest', 21]])
        ->setColumn('A:A', 200, $boldStyle)
        ->output();